nsd-patch(8)

NAME

nsd-patch - NSD zone patcher version 3.2.15.

SYNOPSIS
nsd-patch [-c configfile] [-f] [-h] [-l] [-o dbfile] [-s] [-x difffile]

DESCRIPTION

Nsd-patch is the zone patcher for nsd(8). It reads in the nsd database (nsd.db) and difffile (ixfr.db), and overwrites the zone text files if they have been updated. Running this regularly ensures that the difffile does not grow infinitely.

OPTIONS

-c configfile
    Read specified configfile instead of the default /etc/nsd.conf.

-f  Forces writing zone files. Also zones that have not changed are written back to their zone files.

-h  Print usage help information and exit.

-l  List the journal entries from the difffile. Does not write to zone files.

-o dbfile
    Store the output directly to dbfile.

-s  Skip writing zone files. No zones are written back to their zone files.

-x difffile
    Read specified difffile. Overrides the config file setting.

FILES

/var/nsd/db/nsd.db
    default NSD database

/etc/nsd.conf
    default NSD configuration file

SEE ALSO
nsd(8), nsdc(8), nsd.conf(5), nsd-checkconf(8), nsd-notify(8), nsd-xfer(8), nsd-zonec(8)

AUTHORS

NSD was written by NLnet Labs and RIPE NCC joint team. Please see CREDITS file in the distribution for further details.